Page MenuHomePhabricator

Instrument revised *citation* edit workflows
Closed, ResolvedPublicJul 22 2019

Description

Task overview

This task represents the work involved with instrumenting the revised adding/modifying citations workflows in VE.

Measurements

The events we would like to be able to track in order to measure the efficacy of Edit Cards are listed in the "Measurements" section of our Measurement Plan/Edit Cards doc.

"Done"

  • The instrumentation required for us to be able to log the events in in the "Measurements" section of our Measurement Plan/Edit Cards doc have been implemented.

Details

Due Date
Jul 22 2019, 7:00 AM
Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (e63fe33b1)
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (e63fe33b1)
VisualEditor/VisualEditor : masterInstrument ActionProcess for FragmentDialogs as well
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (788d449ae)
VisualEditor/VisualEditor : masterGeneralize the tracking of window opening
mediawiki/extensions/Cite : masterTracking for change events in citation-templates
mediawiki/extensions/Citoid : masterExtra tracking for VisualEditor's feature use
mediawiki/extensions/Cite : masterExtra tracking for VisualEditor's feature use

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 10:04 PM
ppelberg reassigned this task from ppelberg to DLynch.May 2 2019, 8:17 PM
ppelberg updated the task description. (Show Details)
ppelberg renamed this task from Edit cards: instrument revised "adding/modifying citations" flow to Instrument revised *citation* edit workflows.Jul 5 2019, 4:54 PM
ppelberg set Due Date to Jul 23 2019, 7:00 AM.
ppelberg updated the task description. (Show Details)
ppelberg added a subscriber: Neil_P._Quinn_WMF.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJul 5 2019, 4:54 PM

Update: 3 July

The events we would like to be able to track are now listed in Measurement Plan/Edit Cards.

Next up

  • @Neil_P._Quinn_WMF/@DLynch to review measurements with these questions in mind:
    • Are we able to track the events currently listed in the doc?
    • Would implementing logging for any of these events add complexity to the extent that implementing them will risk us not meeting our 23 July deploy date goal? If so, which one(s)?
ppelberg updated the task description. (Show Details)Jul 5 2019, 5:01 PM

Next up

  • @Neil_P._Quinn_WMF/@DLynch to review measurements with these questions in mind:
    • Are we able to track the events currently listed in the doc?
    • Would implementing logging for any of these events add complexity to the extent that implementing them will risk us not meeting our 23 July deploy date goal? If so, which one(s)?

We're working on this now.

Change 521310 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/Cite@master] Extra tracking for VisualEditor's feature use

https://gerrit.wikimedia.org/r/521310

Change 521317 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/Citoid@master] Extra tracking for VisualEditor's feature use

https://gerrit.wikimedia.org/r/521317

Change 521310 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Extra tracking for VisualEditor's feature use

https://gerrit.wikimedia.org/r/521310

Change 521317 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] Extra tracking for VisualEditor's feature use

https://gerrit.wikimedia.org/r/521317

matmarex added a subscriber: matmarex.

We don't yet log anything interesting for references using citation templates, only for plain references.

JTannerWMF changed Due Date from Jul 23 2019, 7:00 AM to Jul 9 2019, 7:00 AM.Jul 9 2019, 11:17 PM
JTannerWMF changed Due Date from Jul 9 2019, 7:00 AM to Jul 22 2019, 7:00 AM.Jul 10 2019, 12:41 AM

Change 524818 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/Cite@master] Tracking for change events in citation-templates

https://gerrit.wikimedia.org/r/524818

Change 524818 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Tracking for change events in citation-templates

https://gerrit.wikimedia.org/r/524818

Change 525324 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] Generalize the tracking of window opening

https://gerrit.wikimedia.org/r/525324

Change 525324 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Generalize the tracking of window opening

https://gerrit.wikimedia.org/r/525324

Change 525355 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (788d449ae)

https://gerrit.wikimedia.org/r/525355

Change 525355 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (788d449ae)

https://gerrit.wikimedia.org/r/525355

Change 525574 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] Instrument ActionProcess for FragmentDialogs as well

https://gerrit.wikimedia.org/r/525574

Change 525574 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Instrument ActionProcess for FragmentDialogs as well

https://gerrit.wikimedia.org/r/525574

Change 525640 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e63fe33b1)

https://gerrit.wikimedia.org/r/525640

Change 525642 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e63fe33b1)

https://gerrit.wikimedia.org/r/525642

Change 525640 abandoned by Jforrester:
Update VE core submodule to master (e63fe33b1)

Reason:
Going with Bartosz's one.

https://gerrit.wikimedia.org/r/525640

Change 525642 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e63fe33b1)

https://gerrit.wikimedia.org/r/525642

ppelberg closed this task as Resolved.Sep 3 2019, 1:41 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 3 2019, 1:41 AM